<?php
namespace Oro\Bundle\PayPalBundle\Integration;

use Oro\Bundle\IntegrationBundle\Entity\Transport;
use Oro\Bundle\IntegrationBundle\Provider\TransportInterface;
use Oro\Bundle\PayPalBundle\Entity\PayPalSettings;
use Oro\Bundle\PayPalBundle\Form\Type\PayPalSettingsType;
use Symfony\Component\HttpFoundation\ParameterBag;

class PayPalPayflowGatewayTransport implements TransportInterface
{
    /** @var ParameterBag */
    protected $settings;

    /**
    * @param Transport $transportEntity
     */
    public function init(Transport $transportEntity)
    {
        $this->settings = $transportEntity->getSettingsBag();
    }

    /**
     * {@inheritdoc}
     */
    public function getSettingsFormType()
    {
        return PayPalSettingsType::class;
    }

     /**
      * {@inheritdoc}
      */
    public function getSettingsEntityFQCN()
    {
        return PayPalSettings::class;
    }

     /**
      * {@inheritdoc}
      */
    public function getLabel()
    {
        return 'oro.paypal.settings.label';
    }
}
